Bug 138654 - Number format preview uses dark background and font
Summary: Number format preview uses dark background and font
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords: difficultyMedium, easyHack, skillCpp, topicDesign
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2020-12-04 09:30 UTC by Heiko Tietze
Modified: 2021-01-04 15:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (33.32 KB, image/png)
2020-12-04 09:30 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-12-04 09:30:40 UTC
Created attachment 167821 [details]
Screenshot

In Writer, insert a table and use Table > Number Format. In Calc run Format Cells and got to the Numbers tab. 

Version: 6.4.7.2 (same for 7.2)
Build ID: 6.4.7-4
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5; (Breeze Dark theme)
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-11 18:44:32 UTC
Moving to NEW
Comment 2 Xisco Faulí 2020-12-11 18:45:13 UTC
@Heiko, after 6f7d1aaa8c375e6b7a9b80d1ae57efc176c6430f, you should fix this one as well ;-)
Comment 3 Heiko Tietze 2020-12-14 13:23:44 UTC
(In reply to Xisco Faulí from comment #2)
> 6f7d1aaa8c375e6b7a9b80d1ae57efc176c6430f

Code pointer: cui/uiconfig/ui/numberingformatpage.ui, cui/source/tabpages/numfmt.cxx

For an example, see above.
Comment 4 Nihal Jain 2020-12-26 16:56:19 UTC
Hi,

Is the suggestion to change the preview font color and/or background color or make it more readable?
Comment 5 Prince Singh Tomar 2020-12-27 11:42:33 UTC
can i have this, if no one's doing ?
Comment 6 Prince Singh Tomar 2020-12-28 13:04:57 UTC
108400: tdf#138654 Number format preview uses dark background and font | https://gerrit.libreoffice.org/c/core/+/108400

I choosed the background white as cells/sheet's background is also white.
Comment 7 Commit Notification 2021-01-04 09:16:03 UTC
princesinghtomar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2aff7b2622b3fcc3115037d48e033fe1b7ab627a

tdf#138654 Number format preview uses dark background and font

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2021-01-04 09:17:03 UTC
(In reply to Prince Singh Tomar from comment #6)
> I choosed the background white...

It's actually the document background color (Tools > Options > Application Colors) that you show now as background for the preview. And the patch works exactly as supposed. Thanks for fixing the issue.
Comment 9 Commit Notification 2021-01-04 15:19:31 UTC
princesinghtomar committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b27141d601f9c0cbeb1c9c371816974819fdbd2e

tdf#138654 Number format preview uses dark background and font

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.